%define upstream_name Authen-SCRAM
%define upstream_version 0.005

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Salted Challenge Response Authentication Mechanism (RFC 5802)
License:	ASL 2.0
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Authen::SASL::SASLprep)
BuildRequires:	perl(Crypt::URandom)
BuildRequires:	perl(Moo)
BuildRequires:	perl(PBKDF2::Tiny)
BuildRequires:	perl(Test::FailWarnings)
BuildRequires:	perl(Test::Fatal)
BuildRequires:	perl(Types::Standard)
BuildRequires:	perl(namespace::clean)

BuildArch:	noarch

%description
The modules in this distribution implement the Salted Challenge Response
Authentication Mechanism (SCRAM) from RFC 5802.

See Authen::SCRAM::Client and Authen::SCRAM::Server for usage details.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.5.0-3.mga6
+ Revision: 1022673
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.5.0-2.mga6
+ Revision: 966144
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.5.0-1.mga6
+ Revision: 842664
- imported package perl-Authen-SCRAM

